# $Id: ocarpml.spec.in,v 1.2 2005/10/31 20:36:24 martin Exp $
Summary: rpm in O'CAML
Name: ocarpml
Version: 0.1.2345
Release: 6
URL: http://www.ecs.tuwien.ac.at/~biely/ocaml/
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: ocaml make rpm-devel
Requires: rpm

%{expand: %%define ocaml_prefix %(ocamlc -where)}

%description
This is a small library providing access to librpm
(version 0.1.0 may fix problems with 64bits)

%package devel
Summary: Development tools for the ocarpml library
Group: Development/Libraries
Requires: %name = %version

%description devel
This packages contains interface and implementation of the ocarpml
library. Both native and bytecode files are provided.

%prep
%setup -q

%build 
make both

%install 
rm -rf $RPM_BUILD_ROOT
make install INSTALL_PREFIX=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS LICENSE CHANGES README TODO VERSION
%{ocaml_prefix}/ocarpml/libmlrpm.a
%{ocaml_prefix}/ocarpml/ocarpml.a
%{ocaml_prefix}/ocarpml/ocarpml.cma
%{ocaml_prefix}/ocarpml/ocarpml.cmxa

%files devel
%doc apttest.ml  dbtest.ml  installtest.ml  rpmtest.ml
%{ocaml_prefix}/ocarpml/rpm.cmi
%{ocaml_prefix}/ocarpml/rpm.mli
%{ocaml_prefix}/ocarpml/rpminstall.cmi
%{ocaml_prefix}/ocarpml/rpminstall.mli
%{ocaml_prefix}/ocarpml/rpmtag.cmi
%{ocaml_prefix}/ocarpml/rpmtag.mli
%{ocaml_prefix}/ocarpml/rpmtag.ml
%{ocaml_prefix}/ocarpml/rpm.ml


%changelog
* Tue Sep  4 2007 ICFP signof <signof@ti33> - 0.1.234-1
- hoscherei

* Tue Oct 25 2005 Martin Biely <biely@ecs.tuwien.ac.at> - 0.0.1-1
- Initial build.


